# Class DefaultMeasureReference

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultMeasureReference

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`

@UML(identifier="DQ_MeasureReference", specification=UNSPECIFIED) public class DefaultMeasureReference extends ISOMetadata
Reference to the measure used.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultMeasureReference()`
  Constructs an initially empty measure reference.
  `DefaultMeasureReference(CharSequence name)`
  Constructs a measure reference initialized with the given name.
  `DefaultMeasureReference(DefaultMeasureReference object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getMeasureDescription()`
  Returns the description of the measure.
  `Identifier`
  `getMeasureIdentification()`
  Returns a value uniquely identifying the measure within a namespace.
  `Collection<InternationalString>`
  `getNamesOfMeasure()`
  Returns the names of the test applied to the data.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `void`
  `setMeasureDescription(InternationalString newValue)`
  Sets the description of the measure.
  `void`
  `setMeasureIdentification(Identifier newValue)`
  Sets the identifier of the measure.
  `void`
  `setNamesOfMeasure(Collection<? extends InternationalString> newValues)`
  Sets the names of the test applied to the data.

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, clone, equals, equals, getInterface, hashCode, isEmpty, nilReasons, prune, toString`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultMeasureReference

    public DefaultMeasureReference()
    Constructs an initially empty measure reference.

  - ### DefaultMeasureReference

    public DefaultMeasureReference(CharSequence name)
    Constructs a measure reference initialized with the given name.
    Parameters:
      `name` - the name of the measure as a `String` or an `InternationalString` object, or `null` if none.
    Since:
      1.5

  - ### DefaultMeasureReference

    public DefaultMeasureReference(DefaultMeasureReference object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getMeasureIdentification

    @UML(identifier="measureIdentification", obligation=OPTIONAL, specification=UNSPECIFIED) public Identifier getMeasureIdentification()
    Returns a value uniquely identifying the measure within a namespace.
    Returns:
      code identifying a registered measure, or `null` if none.

  - ### setMeasureIdentification

    public void setMeasureIdentification(Identifier newValue)
    Sets the identifier of the measure.
    Parameters:
      `newValue` - the new measure identification.

  - ### getNamesOfMeasure

    @UML(identifier="nameOfMeasure", obligation=CONDITIONAL, specification=UNSPECIFIED) public Collection<InternationalString> getNamesOfMeasure()
    Returns the names of the test applied to the data.
    Returns:
      names of the test applied to the data.

  - ### setNamesOfMeasure

    public void setNamesOfMeasure(Collection<? extends InternationalString> newValues)
    Sets the names of the test applied to the data.
    Parameters:
      `newValues` - the new name of measures.

  - ### getMeasureDescription

    @UML(identifier="measureDescription", obligation=OPTIONAL, specification=UNSPECIFIED) public InternationalString getMeasureDescription()
    Returns the description of the measure.
    Returns:
      description of the measure, or `null`.

  - ### setMeasureDescription

    public void setMeasureDescription(InternationalString newValue)
    Sets the description of the measure.
    Parameters:
      `newValue` - the new measure description.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.